月別給与一覧取得
GET
/budgets/monthly
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/timecard/budgets/monthly?year=2020&month=06&store_id=1&staff_name=%E3%82%B9%E3%83%9E%E3%83%AC%E3%82%B8%E5%A4%AA%E9%83%8E&staff_code=EMP001&staff_group_code=1%2C2&limit=50&page=2';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.smaregi.dev/TARGET-CONTRACT-ID/timecard/budgets/monthly?year=2020&month=06&store_id=1&staff_name=%E3%82%B9%E3%83%9E%E3%83%AC%E3%82%B8%E5%A4%AA%E9%83%8E&staff_code=EMP001&staff_group_code=1%2C2&limit=50&page=2' \ --header 'Authorization: Bearer <token>'月別給与一覧を取得します
対象
- プラン
- プレミアム
- プレミアムプラス
- エンタープライズ、旧有料
対象ユーザー権限
- 給与管理閲覧
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”year
required
string
対象年 [YYYY]
Example
2020month
required
string
対象月 [MM]
Example
06store_id
string
事業所ID(指定の事業所に実績が存在する従業員の総合給与を取得)(カンマ区切りで複数指定可)
Examples
単一指定
1複数指定
1,2staff_name
string
従業員名
Example
スマレジ太郎staff_code
string
社員番号
Example
EMP001staff_group_code
string
従業員グループコード(カンマ区切りで複数指定可)
Example
1,2limit
integer
上限値
Example
50page
integer
検索対象ページ番号
Example
2Responses
Section titled “Responses”取得成功
Media typeapplication/json
object
count
件数
number
page
現在のページ番号
number
pageCount
総ページ数
number
budgetMonthly
従業員別の月別給与情報リスト
Array<object>
object
staffId
従業員ID
string
workingCount
勤務回数
string
workingDayCount
勤務日数
string
transportationCost
交通費
string
workingTime
勤務時間(分)
string
workingWage
人件費概算
string
midnightTime
深夜勤務時間(分)
string
staffName
従業員名
string
staffCode
社員番号
string
netPay
差引支給額
string
wageDivision
給与形態
0: 時給1: 日給2: 月給
string
budgetMonthlyTotal
月別給与合計
object
totalWorkingCount
勤務回数合計
string
totalWorkingDayCount
勤務日数合計
string
totalTransportationCost
交通費合計
string
totalWorkingTime
勤務時間合計(分)
string
totalMidnightTime
深夜勤務合計(分)
string
totalWorkingWage
人件費概算合計
string
totalNetPay
差引支給額合計
string
Example
{ "count": 2, "page": 1, "pageCount": 1, "budgetMonthly": [ { "staffId": "1", "workingCount": "22", "workingDayCount": "20", "transportationCost": "5000", "workingTime": "9600", "workingWage": "180000", "midnightTime": "120", "staffName": "スマレジ太郎", "staffCode": "A001", "netPay": "175000", "wageDivision": "2" }, { "staffId": "2", "workingCount": "25", "workingDayCount": "22", "transportationCost": "3000", "workingTime": "10800", "workingWage": "162000", "midnightTime": "240", "staffName": "スマレジ花子", "staffCode": "A002", "netPay": "158000", "wageDivision": "0" } ], "budgetMonthlyTotal": { "totalWorkingCount": "47", "totalWorkingDayCount": "42", "totalTransportationCost": "8000", "totalWorkingTime": "20400", "totalMidnightTime": "360", "totalWorkingWage": "342000", "totalNetPay": "333000" }}Headers
Section titled “Headers”Link
string
<前のURI>; rel="prev", <次のURI>; rel="next"
- リクエストの形式が不正な場合
Media typeapplication/json
object
type
エラータイプを識別するURI、もしくはabout:blank
string
title
エラーの概要
string
detail
エラーの詳細
string
Example
{ "type": "about:blank", "title": "Bad Request", "detail": "月は2桁で入力してください。"}- 指定したIDのデータが存在しない場合
Media typeapplication/json
object
type
エラータイプを識別するURI、もしくはabout:blank
string
title
エラーの概要
string
detail
エラーの詳細
string
Example
{ "type": "about:blank", "title": "Not Found", "detail": "指定された事業所は許可されていません。"}